#################################################################################################################
#
# Copyright (C) 2013-2015 X2Go Project - http://wiki.x2go.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Copyright (C) 2013-2015 Guangzhou Nianguan Electronics Technology Co.Ltd. <opensource@gznianguan.com>
# Copyright (C) 2013-2015 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
#
#################################################################################################################
package X2Go::Telekinesis::Client::Supporting_Services;
use strict;
use Exporter qw(import);
use X11::Protocol;
our @EXPORT_OK = qw(getActiveWindowAndDTSIZE);


sub getActiveWindowAndDTSIZE {
	my $x11 = X11::Protocol->new();
	my $screen = 0;
	my $width = $x11->{'screens'}[$screen]{'width_in_pixels'};
	my $height = $x11->{'screens'}[$screen]{'height_in_pixels'};
	$width =~ s/\D//g;
	$height =~ s/\D//g;

	my $focused_win;
	($focused_win, undef) = $x11->GetInputFocus;
	$focused_win =~ s/\D//g;

	return ($focused_win,$width,$height);
}


